KCAPI_AEAD_STREAM_UP(3)

NAME
kcapi_aead_stream_update_last - send last data for processing (stream)

SYNOPSIS

ssize_t kcapi_aead_stream_update_last(struct kcapi_handle * handle, struct iovec * iov, size_t iovlen);

ARGUMENTS

handle
    [in] cipher handle

iov
    [in] scatter/gather list with data to be processed by the cipher operation.

iovlen
    [in] number of scatter/gather list elements.

DESCRIPTION

Using this function call, more plaintext for encryption or ciphertext for decryption can be submitted to the kernel.

This call is identical to the kcapi_aead_stream_update call with the exception that it marks the last data buffer before the cipher operation is triggered. Typically, the tag value is provided with this call.

WARNING

The memory referenced by iov is not accessed by the kernel during this call. The memory is first accessed when kcapi_cipher_stream_op is called. Thus, you MUST make sure that the referenced memory is still present at the time kcapi_cipher_stream_op is called.

return number of bytes sent to the kernel upon success; a negative errno-style error code if an error occurred

AUTHOR

Stephan Mueller <smueller@chronox.de>
    Author.

COPYRIGHT